@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Bitter:wght@300&family=Lato:ital@1&family=Montserrat:wght@200&family=Oswald&display=swap');

* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;

}

/* style the body */

body {
    font-family: Bitter, sans-serif;
    color: black;

}

/* Style the heading image */

#header-image {
    background: url(../images/pexels-ivan-samkov-4164645\ \(1\).jpg) no-repeat;
    background-position: center;
    width: 100%;
    height: 700px;
    opacity: 0.72;

}

/* Style the heading logo */

#logo {
    font-family: "Bebas neue", "sans serif";
    text-align: center;
    margin-top: 10px;
    color: #f5b09C;
    font-size: 600%;
    font-weight: 100;

}

/* navigation links */

#menu {
    font-size: 200%;
    text-align: center;
    padding-top: 20px;
    background-color: #EBEBEB;
    width: 100%;
    height: 60px;

}

#menu li {
    display: inline;
    margin-right: 50px;

}

#menu a {
    color: black;
    text-transform: uppercase;

}

#menu a:hover {
    border-style: double;

}

/*cover text */

#cover-text {
    font-size: 120%;
    font-family: "Bebas neue", "sans-serif";
    font-weight: 100;
    color: #f5b09C;

    width: 300px;
    height: 200px;
    background-color: #3C3C3C;
    opacity: 0.9;
    border-style: double;

    bottom: 300px;
    left: 20px;
    position: absolute;

    padding-top: 20px;
    padding-left: 40px;

}

#cover-text a {
    font-size: 150%;
    color: #EBEBEB;
    font-family: Bitter, sans-serif;
    margin: 0 auto;
    text-transform: uppercase;

}

#cover-text a:hover {
    border-style: double;

}

/* Gymnastic Groups section */

.gymnastic-groups-heading h2 {
    font-family: "Bebas neue", "sans sans-serif";
    font-size: 400%;
    font-weight: 100;
    color: #f5b09C;
    text-align: center;
    margin-top: 30px;

}

#gymnastic-groups {
    height: 900px;

}

#men-image {
    background: url(../images/pexels-andrea-piacquadio-3763118\ \(1\).jpg) no-repeat;
    width: 33%;
    float: left;
    height: 800px;
    background-position: center;

}

#women-image {
    background: url(../images/pexels-cottonbro-studio-6962102.jpg) no-repeat;
    width: 33%;
    float: right;
    height: 800px;
    background-position: center;

}

#kid-image {
    background: url(../images/pexels-cottonbro-studio-9654742.jpg) no-repeat;
    width: 33%;
    margin: 0 auto;
    height: 800px;
    background-position: center;

}

.read-more {
    justify-content: center;
    align-items: flex-end;
    background-color: #3C3C3C;
    opacity: 0.72;
    width: 100%;
    font-size: 200%;
    line-height: 80px;

}

.read-more a {
    color: #EBEBEB;
    text-transform: uppercase;

}

.read-more a:hover {
    border-style: double;

}

/*style form-section here */

#form-section {
    height: 900px;
    margin-top: 20px;

}


.join-us-form {
    margin: 50px;
    padding: 100px;
    color: #fff;
    background-color: #8fa2a2;
    width: 30%;
    float: left;

}


#circle-image {
    width: 350px;
    height: 350px;
    padding: 30px;
    clear: none;
    background: url(../images/pexels-cottonbro-studio-9654726\ \(1\).jpg) no-repeat;
    background-position: center;
    border-radius: 50%;
    margin-left: 900px;

}

h2 {
    font-family: "Bebas neue", "sans-serif";
    font-size: 200%;
    font-weight: 100;
    color: #f5b09c;

}

.text-input {
    height: 30px;
    width: 50%;
    background-color: #FFFFFF;
    margin: 5px 0 20px 10px;

}

label {
    margin: 5px 0 20px 10px;

}

.join-us-button {
    margin-top: 20px;
    border-radius: 5px;
    padding: 20px 40px;
    text-align: center;
    font-size: 110%;
    background-color: #f5b09c;
    color: #EBEBEB;
    display: block;

}

/* classes.html */

#read-about {
    height: 600px;
    margin: 0 40px;

}

#mens-gymnastic {
    padding: 40px;
    float: left;
    width: 20%;
    height: 400px;
    float: left;
    background-color: #3c3c3c;
    opacity: 0.9;

}

#womans-gymnastic {
    padding: 40px;
    width: 20%;
    height: 400px;
    float: right;
    background-color: #3c3c3c;
    opacity: 0.9;

}

#kids-gymnastic {
    padding: 40px;
    width: 20%;
    margin: 0 auto;
    height: 400px;
    background-color: #3c3c3c;
    opacity: 0.9;

}

#read-about h2 {
    color: #f5b09c;
    font-family: "Bebas neue", "sans-serif";
    font-size: 200%;
    font-weight: 100;

}

#read-about h3 {
    Font-size: 110%;
    color: #f5b09C;

}

#read-about p {
    color: #ffffff;
    font-size: 100%;

}

#info-times {
    height: 2000px;
    background-color: #EBEBEB;

}

#info-times h2 {
    margin-top: 100px;
    font-size: 200%;

}

#know-more {
    background-color: #8fa2a2;
    color: #EBEBEB;
    font-size: 110%;
    height: 80px;
    width: 100%;

}

#know-more p {
    padding: 5px 20px 5px 20px;

}

#classes-sign-up {
    height: 100px;
    background-color: #8fa2a2;

}

#classes-sign-up a {
    font-size: 150%;
    color: #EBEBEB;
    margin-left: 20px;

}

#classes-sign-up a:hover {
    border-style: double;

}

#practice-times-artistic {
    padding: 100px 50px 20px 20px;
    height: 600px;

}

table {
    width: 70%;
    margin-left: 5px;
    margin-top: 100px;
    background-color: #8fa2a2;
    opacity: 0.9;

}

tr {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;

}

tr,
th,
td {
    text-align: center;

}

th,
td {
    border: 1px solid #3c3c3c;
    padding: 5px;

}

/* about.html */

#about-us {
    height: 1500px;

}

#about-us-image {
    height: 700px;
    width: 700px;
    background: url(../images/pexels-nadine-wuchenauer-1529040.jpg) no-repeat;
    background-position: center;
    display: block;
    margin: 0 auto;
    border-radius: 50%;

}

#about-us-text {
    margin-top: 20px;
    text-align: center;

}

#about-us-text p {
    font-size: 150%;
    font-weight: 200;
    margin-top: 50px;
    margin-left: 80px;
    margin-right: 80px;
    line-height: 1.8;

}

/* style footer here */

footer {
    height: 400px;
    width: 100%;
    background-color: #8fa2a2;

}

footer ul {
    text-align: center;

}

footer ul li {
    display: inline;
    letter-spacing: 20px;

}

footer ul li i {
    font-size: 200%;
    color: #f5b09c;
    margin-top: 40px;

}


footer h2 {
    font-size: 500%;
    text-align: center;

}

footer h3 {
    font-size: 110%;
    text-align: center;

}

#find-us {
    line-height: 50px;

}

/* thank you page */

#thank-you-page {
    height: 800px;
}

#thank-you-page p {
    text-align: center;
    font-size: 150%;
}

/* screen size from 1200px wide and down */

@media screen and (max-width: 1200px) {

    /*header */

    #cover-text {
        bottom: 90px;
    }

    #form-section {
        height: 1400px;
        margin-top: 10px;
        width: 100%;

    }

    .join-us-form {
        width: 100%;
        margin-left: 0;
    }

    #circle-image {
        clear: both;
        margin: 0 auto;
    }

    /* Gymnastic Groups section */

    #gymnastic-groups {
        height: 2500px;

    }

    #men-image {
        width: 100%;

    }

    #women-image {
        width: 100%;

    }

    #kid-image {
        width: 100%;
        float: left;

    }

    .read-more a {
        float: left;
        color: black;
        margin-left: 5px;
        font-size: 80%;

    }


}

/* for screen sizes from 950px and down */
@media screen and (max-width: 950px) {

    /* Style the heading image */

    #header-image {
        background-position: left;
        height: 1000px;

    }

    /* Style the heading logo */

    #logo {
        float: left;
        margin-left: 20px;
        font-size: 400%;

    }

    /* navigation links header */

    #menu {
        font-size: 150%;

    }

    /* gymnastic groups section */

    .read-more h2 {
        margin-left: 20px;
    }

    .gymnastic-groups-heading h2 {
        font-size: 300%;
    }


    /* classes.html */

    #read-about {
        height: 600px;
        margin: 0 auto;

    }

    #mens-gymnastic {
        padding: 10px 20px;
        float: left;
        width: 80%;
        height: 200px;

    }

    #womans-gymnastic {
        padding: 10px 20px;
        width: 80%;
        height: 200px;
        float: left;

    }

    #kids-gymnastic {
        padding: 10px 20px;
        width: 80%;
        float: left;
        height: 200px;

    }

    /*about.html*/

    #about-us-image {
        height: 600px;
        width: 600px;
        margin-top: 10px;

    }

    /* footer */

    footer h2 {
        font-size: 400%;
    }

    /* thank you page */

    #thank-you-page p {
        font-size: 100%;
        float: left;
        margin-left: 20px;
    }

}

/* for screen sizes from 640px and down */
@media screen and (max-width: 640px) {

    /* header */

    #logo {
        font-size: 300%;
        margin: 5px;

    }

    #menu {
        font-size: 120%;

    }

    #menu li {
        margin-right: 20px;

    }

    /* footer */

    footer h2 {
        font-size: 300%;
    }

    #about-us-image {
        width: 400px;
        height: 400px;
    }

    #about-us-text p {
        margin-top: 5px;
        font-size: 120%;
    }

    #cover-text {
        bottom: 100px;
    }

    /* thank you page */

    #thank-you-page p {
        margin-left: 5px;
    }


}

/* for screen sizes from 450px and down */
@media screen and (max-width: 450px) {

    /* header */

    #logo {
        font-size: 250%;
    }

    .gymnastic-groups-heading h2 {
        font-size: 200%;
    }

    /*cover text */

    #cover-text {
        font-size: 80%;

        width: 200px;
        height: 100px;

    }

    #cover-text a {
        font-size: 150%;

    }

    /* form */

    .join-us-form {
        padding: 20px 50px 20px 5px;

    }

    .join-us-button {
        font-size: 85%;
    }

    #circle-image {
        width: 250px;
        height: 250px;
    }



    /* footer */

    footer ul li i {
        margin-top: 20px;
    }

    #find-us {
        line-height: 40px;
    }

    /* about.html */

    #about-us-image {
        width: 300px;
        height: 300px;
    }

    #about-us-text p {
        margin-left: 10px;
        margin-right: 10px;

    }

    /* classes.html */

    #info-times {
        height: 3100px;
    }

    #mens-gymnastic p {
        font-size: 80%;
    }

    #womans-gymnastic p {
        font-size: 80%;
    }


    #kids-gymnastic p {
        font-size: 80%;
    }

    #know-more {
        height: 90px;

    }

    /* table */

    tr {
        grid-template-columns: 2fr 1fr 1fr;
    }

}